org.apache.ant.compress.util

## Interface ArchiveStreamFactory

- All Known Subinterfaces:
    FileAwareArchiveStreamFactory
  All Known Implementing Classes:
    ArjStreamFactory, ArStreamFactory, CpioStreamFactory, DumpStreamFactory, SevenZStreamFactory, TarStreamFactory, ZipStreamFactory

      public interface ArchiveStreamFactory

  Creates streams for the supported archive formats.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `org.apache.commons.compress.archivers.ArchiveInputStream` | `getArchiveStream(java.io.InputStream stream, java.lang.String encoding)`
    `org.apache.commons.compress.archivers.ArchiveOutputStream` | `getArchiveStream(java.io.OutputStream stream, java.lang.String encoding)`

- - ### Method Detail

    - #### getArchiveStream

          org.apache.commons.compress.archivers.ArchiveInputStream getArchiveStream(java.io.InputStream stream,
                                                                                    java.lang.String encoding)
                                                                             throws java.io.IOException

      Parameters:
        `stream` - the stream to read from, should be buffered
        `encoding` - the encoding of the entry names, ignored by all formats except arj, cpio, dump, tar and zip
      Throws:
        `java.io.IOException`

    - #### getArchiveStream

          org.apache.commons.compress.archivers.ArchiveOutputStream getArchiveStream(java.io.OutputStream stream,
                                                                                     java.lang.String encoding)
                                                                              throws java.io.IOException

      Parameters:
        `stream` - the stream to write to, should be buffered
        `encoding` - the encoding of the entry names, ignored by all formats except cpio, tar and zip
      Throws:
        `java.io.IOException`